#ifndef __TYPES_H__
#define __TYPES_H__
#include <vector> 

typedef struct Edge{
    int from;
    int to;
    int capacity; 
    int flow;
    Edge(int from, int to, int capacity, int flow)
    {
        this->from = from;
        this->to   = to;
        this->capacity = capacity;
        this->flow = flow;
    }
} Edge;

typedef std::vector< std::vector<Edge> > Graph;
#endif
