#include <stdio.h>
#include <time.h>

#include "dijkstra.h"
#include "GraphGen.h"

void printGraph(Node *array, int n);
void printEdges(Node *node);

int main()
{
    time_t t;
    srand((unsigned)time(&t));

    int n;
    int m;
    int r;

    scanf("%d %d %d", &n, &m, &r);
    
    Node *graph = GenGraph(n, m, r);


    dijkstra_solve(graph, n, 0, 4);

    return 0;
}
